commit:     7bd7a74a20f600d8568dba3684b6df7611dea674
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 17 03:17:01 2019 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Thu Oct 17 03:17:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7bd7a74a

app-misc/pip: revbump: EAPI 7, perl-module.eclass

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 app-misc/pip/pip-1.2-r3.ebuild | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/app-misc/pip/pip-1.2-r3.ebuild b/app-misc/pip/pip-1.2-r3.ebuild
new file mode 100644
index 00000000000..64323d92471
--- /dev/null
+++ b/app-misc/pip/pip-1.2-r3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+GENTOO_DEPEND_ON_PERL=noslotop
+inherit perl-module
+
+DESCRIPTION="Wrapper around programs that don't support stdin/stdout"
+HOMEPAGE="http://membled.com/work/apps/pip/";
+SRC_URI="http://membled.com/work/apps/${PN}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+BDEPEND="virtual/perl-ExtUtils-MakeMaker"
+
+src_install() {
+       perl-module_src_install
+       mv "${ED}"/usr/bin/{pip,gpip} || die 'rename failed'
+}
+
+pkg_postinst() {
+       ewarn "To avoid collisions with dev-python/pip executable file of this 
package was renamed to 'gpip'"
+}

Reply via email to